中危 UPX 代码问题漏洞

CVE编号

CVE-2021-30500

利用情况

暂无

补丁情况

官方补丁

披露时间

2021-05-26
漏洞描述
UPX是一款可移植、可扩展的可执行压缩程序。
upx 4.0.0版本存在安全漏洞,该漏洞允许攻击者可利用该漏洞执行任意代码,并通过精心制作的文件导致拒绝服务。
解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:
https://github.com/upx/upx/commit/90279abdfcd235172eab99651043051188938dcc
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 upx_project upx 4.0.0 -
运行在以下环境
系统 debian_10 upx-ucl * Up to
(excluding)
3.95-1
运行在以下环境
系统 debian_11 upx-ucl * Up to
(excluding)
3.96-2
运行在以下环境
系统 debian_12 upx-ucl * Up to
(excluding)
3.96-3
运行在以下环境
系统 debian_9 upx-ucl * Up to
(excluding)
3.91-4
运行在以下环境
系统 debian_sid upx-ucl * Up to
(excluding)
3.96-3
阿里云评分
5.9
  • 攻击路径
    本地
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    全局影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    无影响
  • 服务器危害
    DoS
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-476 空指针解引用
阿里云安全产品覆盖情况